# pointpats.f

pointpats.f(coordinates, support=None, distances=None, metric='euclidean', hull=None, edge_correction=None)

  Ripley’s F function

  The so-called “empty space” function, this is the cumulative density function of the distances from a random set of points to the known points in the pattern.

  Parameters:
    coordinates numpy.ndarray of shape (n,2)

      input coordinates to function

    support tuple of length 1, 2, or 3, int, or numpy.ndarray

      tuple, encoding (stop,), (start, stop), or (start, stop, num) int, encoding number of equally-spaced intervals numpy.ndarray, used directly within numpy.histogram

    distances: numpy.ndarray, (n, p) or (p,)

      distances from every point in a random point set of size p to some point in coordinates

    metric: str or callable

      distance metric to use when building search tree

    hull: bounding box, scipy.spatial.ConvexHull, shapely.geometry.Polygon

      the hull used to construct a random sample pattern, if distances is None

    edge_correction: bool or str

      whether or not to conduct edge correction. Not yet implemented.

  Returns:
    a tuple containing the support values used to evalute the function
    and the values of the function at each distance value in the support.